options compress=YES;
libname data ''; 
libname output ''; 
libname earn '';

* CREATE VARIABLES FROM MASTER BENEFICIARY RECORD ;
* INPUT: MBR EXTRACT PROVIDED BY SSA OFFICE OF RESEARCH, EVALUATION, AND STATISTICS 
	(located in folder ../offices/data/originals);

data data.mbr_prep1;
	set data.mbr_june2016 (where=(ssn=boan) rename=(can=ssn));

	array allow(1988:2016) diallow_1988-diallow_2016;
	do i=1988 to 2016;
		if year(t2_doed_1)=i or year(t2_doed_2)=i or year(t2_doed_3)=i 
			then allow(i)=1; else allow(i)=0;
	end;

run;

* ONE RECORD PER PERSON: denial dates ;
data data.mbr_prep1_datewide;
	set data.mbr_prep1;
	id + 1;
	by ssn;
	if first.ssn then id=1;
run;

data data.mbr_prep1_datewide;
	set data.mbr_prep1_datewide;
	if id<=4;
run;

data data.mbr_prep1_datewide;
	set data.mbr_prep1_datewide;
	by ssn;

	keep 	ssn deny_dof1-deny_dof4;
	retain  deny_dof1-deny_dof4;
	array	adeny_dof(1:4) 	deny_dof1-deny_dof4 ; 

	if first.ssn then
	do;
		do i=1 to 4;
			adeny_dof(i) 		=.;	
		end;
	end;

	adeny_dof(id) 		= deny_dof ;

	if last.ssn then output;
run;	

* COLLAPSE to SSN LEVEL;
proc means noprint data=data.mbr_prep1 nway;
	by ssn;
	var diallow_1: diallow_2: t2_doed_1 ddo_1;
	output out=data.mbr_prep1
	MAX(diallow_1: diallow_2: t2_doed_1 ddo_1)=;
run;

data data.mbr_prep1;
	set data.mbr_prep1;
	
	rid='2';
run;

data data.mbr_prep1;
	merge 
		data.mbr_prep1
		data.mbr_prep1_datewide
			(keep=ssn deny_dof1-deny_dof4)
		;
	by ssn;
run;

run; quit;

