options compress=YES;
libname data ''; 
libname output ''; 
libname earn '';

* CREATE VARIABLES FROM MASTER BENEFICIARY RECORD ;
* INPUT: ANNUAL 831 FILES PROVIDED BY SSA OFFICE OF RESEARCH, EVALUATION, AND STATISTICS
			(FROM AEJ_PREP_831_1CREATEVARS),
		 MASTER BENEFICIARY RECORD EXTRACT (FROM AEJ_PREP_MBR_1CREATEVARS) ;

data data.mbr_prep2;
 set
	 data.tab_f831_cy1996
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	 data.tab_f831_cy1997
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	 data.tab_f831_cy1998
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

 	data.tab_f831_cy1999
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

 	data.tab_f831_cy2000
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)
	
	data.tab_f831_cy2001
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2002
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2003
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2004
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2005
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2006
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2007
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2008
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2009
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2010
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2011
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2012
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2013
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2014
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)

	data.tab_f831_cy2015
	(keep=ssn fld fld_yy toc_diadult al rid dodec_sas)
;

* Create new adjudication level and filing date variables to merge with SDR ;
	select(al);
		when ("A")  adjulvl_cd="1";  
		when ("B")  adjulvl_cd="2";
		when ("C")  adjulvl_cd="2";
		when ("D")  adjulvl_cd="3";
		when ("E")  adjulvl_cd="4";
		when ("F")  adjulvl_cd="5";
		when ("G")  adjulvl_cd="1";  
		when ("I")  adjulvl_cd="1";  
		otherwise   adjulvl_cd="";
	end;

	if (fld="99999999" or fld="") then do;
		filing_dt=.;
		fyr=.;
	end;
    else do;
	    fyr=input(substr(fld,1,4),4.);
		filing_dt=MDY(input(substr(fld,5,2),2.),input(substr(fld,7,2),2.),fyr);
	end;

	drop fyr;
run;

proc sort data=data.mbr_prep2 out=data.mbr_prep2;
	by ssn;
run;

data data.mbr_prep2;
	merge 
		data.mbr_prep2
			(in=from_mainx)
		data.mbr_prep1
			(
			keep=ssn diallow_1: diallow_2: deny_dof: t2_doed_1 ddo_1
			)
		;
	by ssn;
	if from_mainx=1 & toc_diadult=1;
run;

* CREATE FINAL DENIAL VARIABLE ;
data data.mbr_prep2;
	set data.mbr_prep2;

	n_allowfindi=0;

	%macro allow(yearm1, year, yearp1, yearp2);
		if fld_yy=&year. & (diallow_&year.=1 | diallow_&yearm1.=1 | diallow_&yearp1.=1 | diallow_&yearp2.=1) then n_allowfindi=1;
	%mend allow;

	%allow(1988,1989,1990,1991);
	%allow(1989,1990,1991,1992);
	%allow(1990,1991,1992,1993);
	%allow(1991,1992,1993,1994);
	%allow(1992,1993,1994,1995);
	%allow(1993,1994,1995,1996);
	%allow(1994,1995,1996,1997);
	%allow(1995,1996,1997,1998);
	%allow(1996,1997,1998,1999);
	%allow(1997,1998,1999,2000);
	%allow(1998,1999,2000,2001);
	%allow(1999,2000,2001,2002);
	%allow(2000,2001,2002,2003);
	%allow(2001,2002,2003,2004);
	%allow(2002,2003,2004,2005);
	%allow(2003,2004,2005,2006);
	%allow(2004,2005,2006,2007);
	%allow(2005,2006,2007,2008);
	%allow(2006,2007,2008,2009);
	%allow(2007,2008,2009,2010);
	%allow(2008,2009,2010,2011);
	%allow(2009,2010,2011,2012);
	%allow(2010,2011,2012,2013);
	%allow(2011,2012,2013,2014);
	%allow(2012,2013,2014,2015);
	%allow(2013,2014,2015,2016);

	if fld_yy=2015 & (diallow_2014=1 | diallow_2015=1 | diallow_2016=1) then n_allowfindi=1;

	* Denial was above initial level ;
	n_denfindi_appeal=0;
	if 	n_allowfindi=0 & 
		((deny_dof1-dodec_sas<365 	& deny_dof1-dodec_sas>30) |
		(deny_dof2-dodec_sas<365 	& deny_dof2-dodec_sas>30) |
		(deny_dof3-dodec_sas<365 	& deny_dof3-dodec_sas>30) |
		(deny_dof4-dodec_sas<365 	& deny_dof4-dodec_sas>30))
	then n_denfindi_appeal=1;

	keep ssn filing_dt adjulvl_cd rid n_allowfindi n_denfindi_appeal t2_doed_1 ddo_1;

run;

proc sort data=data.mbr_prep2 out=data.mbr_prep2;
	by ssn filing_dt adjulvl_cd rid;
run;

run; quit;
