options compress=YES;
libname data ''; 
libname output ''; 
libname earn '';

* CREATE VARIABLES FROM SUPPLEMENTAL SECURITY RECORD ;
* INPUT: ANNUAL 831 FILES PROVIDED BY SSA OFFICE OF RESEARCH, EVALUATION, AND STATISTICS
			(FROM AEJ_PREP_831_1CREATEVARS),
		 SUPPLEMENTAL SECURITY RECORD EXTRACT (FROM AEJ_PREP_SSR_1CREATEVARS) ;

data data.ssrcer_prep2;
 set
	 data.tab_f831_cy1996
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	 data.tab_f831_cy1997
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	 data.tab_f831_cy1998
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

 	data.tab_f831_cy1999
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

 	data.tab_f831_cy2000
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)
	
	data.tab_f831_cy2001
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2002
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2003
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2004
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2005
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2006
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2007
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2008
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2009
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2010
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2011
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2012
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2013
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2014
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)

	data.tab_f831_cy2015
	(keep=ssn fld fld_yy toc_ssiadult toc_ssikid al dodec_sas)
;

/* Create new adjudication level and filing date variables to merge with SDR */
	select(al);
		when ("A")  adjulvl_cd="1";  
		when ("B")  adjulvl_cd="2";
		when ("C")  adjulvl_cd="2";
		when ("D")  adjulvl_cd="3";
		when ("E")  adjulvl_cd="4";
		when ("F")  adjulvl_cd="5";
		when ("G")  adjulvl_cd="1";  
		when ("I")  adjulvl_cd="1";  
		otherwise   adjulvl_cd="";
	end;

	if (fld="99999999" or fld="") then do;
		filing_dt=.;
		fyr=.;
	end;
    else do;
	    fyr=input(substr(fld,1,4),4.);
		filing_dt=MDY(input(substr(fld,5,2),2.),input(substr(fld,7,2),2.),fyr);
	end;

	drop fyr;
run;

proc sort data=data.ssrcer_prep2 out=data.ssrcer_prep2;
	by ssn;
run;

data data.ssrcer_prep2;
	merge 
		data.ssrcer_prep2
			(in=from_mainx)
		data.ssrcer_prep1
			(
			keep=hun ssidenial_1: ssidenial_2: denial_jd:
			rename=(hun=ssn)
			)
		;
	by ssn;
	if from_mainx=1 & (toc_ssiadult=1 | toc_ssikid=1);
run;

/* FINAL DENIAL VARIABLE */
data data.ssrcer_prep2;
	set data.ssrcer_prep2;

	n_denfinssi=0;

	%macro den(year, yearp1, yearp2, yearp3);
		if fld_yy=&year. & (ssidenial_&year.=1 | ssidenial_&yearp1.=1 | ssidenial_&yearp2.=1 | ssidenial_&yearp3.=1) then n_denfinssi=1;
	%mend den;

	%den(1989,1990,1991,1992);
	%den(1990,1991,1992,1993);
	%den(1991,1992,1993,1994);
	%den(1992,1993,1994,1995);
	%den(1993,1994,1995,1996);
	%den(1994,1995,1996,1997);
	%den(1995,1996,1997,1998);
	%den(1996,1997,1998,1999);
	%den(1997,1998,1999,2000);
	%den(1998,1999,2000,2001);
	%den(1999,2000,2001,2002);
	%den(2000,2001,2002,2003);
	%den(2001,2002,2003,2004);
	%den(2002,2003,2004,2005);
	%den(2003,2004,2005,2006);
	%den(2004,2005,2006,2007);
	%den(2005,2006,2007,2008);
	%den(2006,2007,2008,2009);
	%den(2007,2008,2009,2010);
	%den(2008,2009,2010,2011);
	%den(2009,2010,2011,2012);
	%den(2010,2011,2012,2013);
	%den(2011,2012,2013,2014);
	%den(2012,2013,2014,2015);
	%den(2013,2014,2015,2016);

	if fld_yy=2014 & (ssidenial_2014=1 | ssidenial_2015=1 | ssidenial_2016=1) then n_denfinssi=1;
	if fld_yy=2015 & (ssidenial_2015=1 | ssidenial_2016=1) then n_denfinssi=1;

	* Denial was above initial level ;
	n_denfinssi_appeal=0;
	if 	n_denfinssi=1 & 
		((denial_jd1-dodec_sas<365 	& denial_jd1-dodec_sas>30) |
		(denial_jd2-dodec_sas<365 	& denial_jd2-dodec_sas>30) |
		(denial_jd3-dodec_sas<365 	& denial_jd3-dodec_sas>30) |
		(denial_jd4-dodec_sas<365 	& denial_jd4-dodec_sas>30))
	then n_denfinssi_appeal=1;

	keep ssn filing_dt adjulvl_cd n_denfinssi n_denfinssi_appeal;

run;

proc sort data=data.ssrcer_prep2 out=data.ssrcer_prep2;
	by ssn filing_dt adjulvl_cd;
run;

run; quit;
