capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Figure 5 
Input:
	merged_eventstudy_qtr (from AEJ_PREP_831_5FIGUREESTUDY)
	merged_tradcontrol_qtr_`date' (from AEJ_PREP_831_5FIGURETRADDD)
*/ 

/* Event study (LHS) */
use "`data'\statsby\merged_eventstudy_qtr.dta", clear;

twoway 	
	rarea hi95_all_a_ctnum_8 lo95_all_a_ctnum_8 eqtryear if eqtryear>=-12 & eqtryear<=8, lcolor(white) lwidth(vvthin) color(orange) fin(30) ||
	connected b_all_a_ctnum_8 eqtryear if eqtryear>=-12 & eqtryear<=8, lcolor(orange) lwidth(medthick) mcolor(orange) msymbol(T) 
	title("Event study - no controls (log applicants)", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate", size(medsmall)) ysc(r(-.3 .1)) ylab(-.3(.1).1)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(off)
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	name(estudy)
	;

/* Traditional DD (RHS) */
use "`data'\statsby\merged_tradcontrol_qtr_`date'.dta", clear;

twoway 	
	rarea hi95_all_a_ctnum lo95_all_a_ctnum eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(orange) fin(30) ||
	connected b_all_a_ctnum eqtryear if eqtryear>=-12, lcolor(orange) lwidth(medthick) mcolor(orange) msymbol(T) 
	title("Number of applicants (log)", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate", size(medsmall)) ysc(r(-.2 .1)) ylab(-.2(.1).1)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(off)
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	name(trad)
	;
graph save "`output'\\present_tradcontrol_qtr_allapp.gph", replace;

graph combine 
	estudy trad
	,
	altshrink cols(2) rows(1) xsize(11)
	graphregion(color(white))
	saving("`output'\\figure5.gph", replace);
