capture log close
clear all
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Appendix Figure A.8
Input:
	collapse_zip_for831_FNqtr_raweyear (from AEJ_PREP_831_3RAW)
*/

use "`data'\collapse_zip_for831_FNqtr_raweyear.dta", clear;

sort eqtryear;

twoway 
	(connected all_a_ctnum eqtryear if treat==0 & eqtryear>=-12 & eqtryear<=8, mcolor(orange*.8) lcolor(orange*.8) lpattern(dash) msymbol(X))
	(connected all_a_ctnum eqtryear if treat==1 & eqtryear>=-12 & eqtryear<=8, mcolor(orange) lcolor(orange) lpattern(solid)),
	title("Number of applications", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) 
	ytitle("Avg number of applications in ZIP", size(medsmall)) 
	legend(order (1 "Control" 2 "Treatment")) 
	xline(-1, lpattern(dash) lcolor(gray))
	xsc(r(-12 8)) xlab(-12(4)8)
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	;
graph save "`output'\\figure8.gph", replace;

