capture log close
clear all
set maxvar 10000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Create Appendix Figure A.15
Input:
	merged_FNreg_qtr_`date' (from AEJ_PREP_831_5FIGURE)
*/

/* *********************** */
/* **** PAPER FIGURES **** */
/* *********************** */
use "`data'\statsby\merged_FNreg_qtr_`date'.dta", clear;

/* Figure A.15: Neighbor wait time and processing time */
twoway 	
		rarea nbr_hi95_waitno_avg nbr_lo95_waitno_avg eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(blue) fin(30) ||
		connected nbr_b_waitno_avg eqtryear if eqtryear>=-12, lcolor(blue) mcolor(blue) msymbol(`msymbol_all') 			
		title("Walk-in wait time (neighboring ZIPs)", size(medsmall))
		xtitle("Quarters relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
		ytitle("Reduced form estimate (minutes)", size(medsmall)) ysc(r(-10 10)) ylab(-10(5)10)
		yline(0, lcolor(gray))
		xline(-1, lpattern(dash) lcolor(gray))
		legend(off)
		graphregion(color(white))
		bgcolor(white)
		ylabel(,nogrid)
		name(nbr_channel1)
		;

twoway 	
	rarea nbr_hi95_all_a_daysproc nbr_lo95_all_a_daysproc eqtryear if eqtryear>=-12, lcolor(white) lwidth(vvthin) color(blue) fin(30) ||
	connected nbr_b_all_a_daysproc eqtryear if eqtryear>=-12, lcolor(blue) mcolor(blue) msymbol(`msymbol_all') 		
	title("Application processing time (neighboring ZIPs)", size(medsmall))
	xtitle("Quarter relative to closing", size(medsmall)) xsc(r(-12 8)) xlab(-12(4)8)
	ytitle("Reduced form estimate (days)", size(medsmall)) ysc(r(-10 10)) ylab(-10(5)10)
	yline(0, lcolor(gray))
	xline(-1, lpattern(dash) lcolor(gray))
	legend(off)
	graphregion(color(white))
	bgcolor(white)
	ylabel(,nogrid)
	name(nbr_channel2)
	;

graph combine nbr_channel1 nbr_channel2,
	altshrink cols(2) rows(1) xsize(11)
	graphregion(color(white))
	saving("`output'\\figure15.gph", replace);
