capture log close
clear all
set maxvar 10000
set matsize 11000
set more off
pause off
# delimit;

local output "";
local log "";
local data "";

/* 
Prep for Figure 5 RHS
Input:
	DDreg_qtr_`date'_`cov'wt (from AEJ_PREP_4TRADDD)
*/ 

local pre "12";

/* Create one data set of estimates */
foreach stub in all diadult ssiadult ssikid {;
	foreach cov in `stub'_a_ctnum `stub'_r_ctnum /*`list_a_`stub'' `list_r_`stub''*/ {;

	use "`data'\statsby\DDreg_qtr_`date'_`cov'wt.dta", clear;
	
	/* Reshape data */
	keep _b_eqtr* _se_eqtr*; 
	gen _b_eqtryear_10=0;
	gen _se_eqtryear_10=0;
	gen id=1;
	reshape long _b_eqtryear_ _se_eqtryear_, i(id) j(eqtryear);
	rename _b_eqtryear_ b_`cov';
	rename _se_eqtryear_ se_`cov';
	
	gen hi95_`cov'=b+1.96*se;
	gen lo95_`cov'=b-1.96*se;
	drop id;
	replace eqtryear=eqtryear-12;
	
	save "`data'\statsby\clean_tradcontrol_qtr_`date'_`cov'wt.dta", replace;
};
};

/* Merge data sets and save */
use "`data'\statsby\clean_tradcontrol_qtr_`date'_all_a_ctnumwt.dta", clear;
keep eqtryear;

foreach stub in all diadult ssiadult ssikid {;
	foreach cov in `stub'_a_ctnum `stub'_r_ctnum /*`list_a_`stub'' `list_r_`stub''*/ {;
		merge 1:1 eqtryear using "`data'\statsby\clean_tradcontrol_qtr_`date'_`cov'wt.dta";
		drop _merge;
	};
};

save "`data'\statsby\merged_tradcontrol_qtr_`date'.dta", replace;